import { jsx } from "react/jsx-runtime";
import { TokenTOMB as TokenTOMB$1 } from "@web3icons/react";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const TokenTOMB = forwardRef(
  ({ variant = "mono", ...props }, forwardedRef) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref: forwardedRef, alt: "TOMB", "data-name": "TokenTOMB", ...props, children: /* @__PURE__ */ jsx(TokenTOMB$1, { variant }) });
  }
);
TokenTOMB.displayName = "TokenTOMB";
Object.assign(TokenTOMB, { isGdsIcon: true });
export {
  TokenTOMB
};
